{% extends "base.html" %}
{% block content %}
	<div class="row">
	<div class="panel panel-default">

	<div class="panel-heading">
		<h2 class="text-success text-center">Job Information</h2>
	</div>

	<div class="panel-body">
		<div class="col-sm-9">
		{% if job %}
			<div style="padding-top:30px; padding-bottom: 30px">
				<table class="table table-default" align="center">
					<tbody>
						<tr><td><strong><h1>{{ job.jobTitle }}</h1></strong></td></tr>
						<tr><td><a href="{% url 'profile' profile.cUserName %}">{{ job.companyName }}</a></td></tr>
						<tr><td><strong>{{ job.jobType }} | {{ job.jobRole }} | {{ job.jobLocation }}</strong></td></tr>
						<tr><td>Posted On: <strong>{{ job.jobCreated }}</strong><span class="pull-right">Deadline : <strong>{{ job.applyDeadline }}</strong></span></td></tr>
						<tr><td><strong>Job Descriptons:</strong><br />{{ job.jobDescription|safe }}</td></tr>
						<tr><td>Job Category: <strong>{{ job.jobCategory }}</strong><span class="pull-right">Salary : <strong>{{ job.jobSalary }}</strong></span></td></tr>
					</tbody>
				</table>

				<br /> <br />
				{% if applied %}
					<p class="lead"><h3 class="text-warning text-center">You Have Applied for This Job.</h3></p>
				{% else %}
					{% if login %}
						{% if user %}
						<a href="{% url 'apply' job.id %}"><button class="btn btn-lg btn-block btn-info">Apply Now</button></a>
						{% endif %}
					{% else %}
						<p class="lead"><h3 class="text-danger text-center">Please login to Apply for This Job.</h3></p>
					{% endif %}	
				{% endif %}
			</div>

		{% else %}
			<p class="lead" align="center" style="color:red;padding-top: 60px; padding-bottom: 60px;"><b>Sorry, We Couldn't Find the Job Post.</b></p>

		{% endif %}
		</div>

		<div class="col-sm-3">
			<h2 class="text-success text-center"></h2>
			{% if profile.companyLogo %}
				<img class="img-thumbnail" src="{{ profile.companyLogo.url }}" alt="Company Logo - 100x200" style="width: 200px; height: 100px;" >
			{% else %}
				<img class="img-thumbnail" src="/static/image/icon.jpg" alt="Company Logo - 100x200" style="width: 200px; height: 100px;" >
			{% endif %}

			<br /> <br />
			<h2 class="text-warning">Filter Jobs</h2>
			<form class="form-group" action="{% url 'search2' %}" method="post"> {% csrf_token %}

				<label>Job Category &nbsp</label>
				<select class="form-control" type="text" name='location'>
					<option>All</option>
					{% for item in category %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Type &nbsp</label>
				<select class="form-control" type="text" name='location'>
					<option>All</option>
					{% for item in jobtype %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Salary &nbsp</label>
				<select class="form-control" type="text" name='location'>
					<option>All</option>
					{% for item in salary %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Location &nbsp</label>
				<select class="form-control" type="text" name='location'>
					<option>All</option>
					{% for item in location %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>

				<br /><br />
				<button class="btn btn-success btn-lg btn-block" type="submit">Search</button>
				
			</form>			
		</div>
		
	</div>
	</div>
	</div>
{% endblock content %}